Subject: Re: [bitcoin-dev] BIP 2 promotion to Final

From: Btc Drak <[email-masked]>
Date: Wed, 16 Mar 2016 20:43:09 +0000

I have an objection about "BIP comments" in BIP2. I think BIPs should be
self contained, but the specification recommends posting comments to the
Bitcoin Wiki (bitcoin.it). I think this is a bad idea and external sources
are bound to go stale over time as can be evidenced by a number of existing
BIPs which link to external content that has long since expired. Comments
should be made instead using the Wiki feature at bitcoin/bips itself (which
can be enabled in the administration settings).

On Tue, Mar 8, 2016 at 7:04 PM, Luke Dashjr via bitcoin-dev <
[email-masked]> wrote:

> It has been about 1 month since BIP 2 finished receiving comments, so I
> believe it is an appropriate time to begin the process of moving it to
> Final
> Status. Toward this end, I have opened a pull request:
>
>     https://github.com/bitcoin/bips/pull/350
>
> The current requirement for this is that "the reference implementation is
> complete and accepted by the community". Given the vagueness of this
> criteria,
> I intend to move forward applying BIP 2's more specific criteria to itself:
>
> > A process BIP may change status from Draft to Active when it achieves
> rough
> > consensus on the mailing list. Such a proposal is said to have rough
> > consensus if it has been open to discussion on the development mailing
> list
> > for at least one month, and no person maintains any unaddressed
> > substantiated objections to it. Addressed or obstructive objections may
> be
> > ignored/overruled by general agreement that they have been sufficiently
> > addressed, but clear reasoning must be given in such circumstances.
>
> Furthermore, there is a reference implementation in the mentioned PR.
>
> Please review the latest draft BIP and provide any objections ASAP.
> If there are no outstanding objections on 2016 April 9th, I will consider
> the
> current draft to have reached rough consensus and update its Status to
> Final
> by merging the PR.
>
> Thanks,
>
> Luke
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>